package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @PackagePath: com.bonus.common.biz.enums
 * @CreateTime: 2025-02-21  00:53
 * @Description: 审批流状态枚举类
 */
@Getter
public enum WorkFlowStatusEnum {

    WAIT_AUDIT(0, "待审批"),
    AUDIT_IN(1, "执行中"),
    AUDIT_FINISH(2, "执行完成"),
    AUDIT_FAIL(3, "执行中断");

    private final Integer code;
    private final String label;

    WorkFlowStatusEnum(Integer code, String label) {
        this.code = code;
        this.label = label;
    }
}
